package PIANOS.datastructures;

class DistributionSkeleton{

    private int numberOfParameters;
    private boolean[] typeOfParameters;
    private boolean hasFreqFunction;
    private boolean hasGenFunction;
    private String name;

    public DistributionSkeleton (String name, int numberOfParameters, boolean[] typeOfParameters, boolean hasFreqFunction, boolean hasGenFunction){
	this.name = name;
	this.numberOfParameters = numberOfParameters;
	this.typeOfParameters = typeOfParameters;
	this.hasFreqFunction = hasFreqFunction;
	this.hasGenFunction = hasGenFunction;
    }

    public String getName (){
	return name;
    }

    public int getNumberOfParameters (){
	return numberOfParameters;
    }

    public boolean[] getTypeOfParameters (){
	boolean[] temp = new boolean[typeOfParameters.length];
	for (int i = 0; i<typeOfParameters.length; i++)
	    temp[i] = typeOfParameters[i];
	return temp;
    }

    public boolean hasGenFunction (){
	return hasGenFunction;
    }

    public boolean hasFreqFunction (){
	return hasFreqFunction;
    }
}
